unit Unit5;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TSetting = class(TForm)
    dif: TGroupBox;
    rb1: TRadioButton;
    rb2: TRadioButton;
    rb3: TRadioButton;
    btn1: TButton;
    btn2: TButton;
    chk1: TCheckBox;
    procedure btn2Click(Sender: TObject);
    procedure btn1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Setting: TSetting;

implementation

uses index;

{$R *.dfm}

procedure TSetting.btn2Click(Sender: TObject);
begin
start.rmk.Click;
 if chk1.Checked=True then
 Close;
end;

procedure TSetting.btn1Click(Sender: TObject);
begin
if rb1.Checked=True then                                                        begin
start.dif.Text:='2';
btn1.Caption:='Сложность сохранена.'; start.rmk.Click;
                                                                                end

        else  if rb2.Checked=True then                                            begin
              start.dif.Text:='3';
              btn1.Caption:='Сложность сохранена.'; start.rmk.Click;              end

          else  if rb3.Checked=True then                                            begin
                            start.dif.Text:='4';
                            btn1.Caption:='Сложность сохранена.'; start.rmk.Click;
                                                                                    end

                            else btn1.Caption:='Вы не выбрали сложность.';
 if chk1.Checked=True then
 Close;
end;

procedure TSetting.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 // if (start.imgPir.Top=start.imgU1.Top) and (start.imgPir.Left=start.imgU1.Left) or
 //    (start.imgPir.Top=start.imgU2.Top) and (start.imgPir.Left=start.imgU2.Left) or
 //    (start.imgPir.Top=start.imgU3.Top) and (start.imgPir.Left=start.imgU3.Left) then
 //   start.Close;
 //    if lbl1.Caption='lol' then begin
 //    lbl1.Caption:='';
 //    start.btn1.Click;
btn1.Caption:='Сохранить сложность.';
chk1.Checked:=True;
start.rmk.Click;
     end;
end.
